Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - Le matériel et les pilotes ALSA, FFADO, ...

> Forums de discussion > 1 - Le matériel et les pilotes ALSA, FFADO, ... > [résolu] Audacity plante, Ardour ne démarre pas...
Dernier post
Page : 1/2   -   Aller directement à la page : 1  2 

[résolu] Audacity plante, Ardour ne démarre pas...

Bonsoir à tous!

Je suis Popettte, tout nouveau et fraîchement présenté ici. Nouveau également en utilisation du son sur Ubuntu, je vous demanderai de l'indulgence!

Voici d'abord mon matériel:
Ubuntu 12.04 LTS
Carte son M-Audio firewire Solo
Qjackctl installé
pressé d'utiliser Ardour et tout simplement Audacity.

Et comme le dit le titre, Audacity plante et Ardour ne démarre pas. j'ai brassé un peu les paramètres de jack mais n'y connaissant pas grand'chose, ben... je préfère poster ici.
J'ai cette installation depuis peu, et au tout début, j'ai réussi à enregistrer un son par la M-Audio. Entre temps j'ai dû toucher à quelque chose et ça ne marche plus.

Voilà le soucis; pourriez vous me conseiller?

A bientôt!
Popettte

allany utilisateur non connecté
Hello !

Tu as une carte connectée en firewire. C'est donc le driver ffado qui doit la piloter.
L'as-tu bien installé ?
Si oui, dans l'écran "réglages" de Jack, as-tu bien déclaré "firewire" dans la case "Pilote", en haut à droite ?
Si non, il te faut l'installer en suivant cette procédure.

A+

Bonjour,
Oui oui, j'ai bien "firewire" dans pilote.

(Je pars en répé dans 20 minutes!)

Edit: Voici ce que j'ai installé il y a peu:
http://forum.ubuntu-fr.org/viewtopic.php?id=1182671
Désolé, c'est pas trié! Au cas où ça vous aide...

allany utilisateur non connecté
Mmmmmh...
C'est une carte donnée comme "full support" par ffado donc on va y arriver.

Peux-tu poster le résultat de la commande :

ffado-diag

please ?

A+

popettte@popettte-H61M-D2H-USB3:~$ ffado-diag
    FFADO diagnostic utility 2.999.0-
    ============================
    (C) 2008 Pieter Palmers
        2009-2010 Arnold Krille


    === CHECK ===
     Base system...
      kernel version............ 3.2.0-37-generic-pae
      old 1394 stack present.... False
      old 1394 stack loaded..... False
      old 1394 stack active..... False
      new 1394 stack present.... True
      new 1394 stack loaded..... True
      new 1394 stack active..... True
      /dev/raw1394 node present. False
     Prerequisites (dynamic at run-time)...
       gcc ............... gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
       g++ ............... g++ (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
       PyQt4 (by pyuic4) . sh: 1: pyuic4: not found
       jackd ............. jackd version 0.121.2 tmpdir /dev/shm protocol 24
         path ............ /usr/bin/jackd
         flags ........... Package jack was not found in the pkg-config search path.
    Perhaps you should add the directory containing `jack.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'jack' found
       libraw1394 ........ 2.1.0
         flags ........... -I/usr/local/include  -L/usr/local/lib -lraw1394  
       libavc1394 ........ Package libavc1394 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `libavc1394.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'libavc1394' found
         flags ........... Package libavc1394 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `libavc1394.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'libavc1394' found
       libiec61883 ....... 1.2.0
         flags ........... -I/usr/local/include  -L/usr/local/lib -liec61883 -lraw1394  
       libxml++-2.6 ...... Package libxml++-2.6 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `libxml++-2.6.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'libxml++-2.6' found
         flags ........... Package libxml++-2.6 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `libxml++-2.6.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'libxml++-2.6' found
       dbus-1 ............ Package dbus-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `dbus-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'dbus-1' found
         flags ........... Package dbus-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `dbus-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'dbus-1' found
     Prerequisites (static at compile-time)...
       gcc ............... gcc (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
       g++ ............... g++ (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
       PyQt4 (by pyuic4) . Python User Interface Compiler 4.9.1 for Qt version 4.8.0
       jackd ............. sh: 1: jackd: not found
         path ............ 
         flags ........... Package jack was not found in the pkg-config search path.
       libraw1394 ........ 2.0.7
         flags ...........  -lraw1394  
       libavc1394 ........ Package libavc1394 was not found in the pkg-config search path.
         flags ........... Package libavc1394 was not found in the pkg-config search path.
       libiec61883 ....... 1.2.0
         flags ...........  -liec61883 -lraw1394  
       libxml++-2.6 ...... 2.34.1
         flags ........... -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/i386-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
       dbus-1 ............ 1.4.16
         flags ........... -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include  -ldbus-1 -lpthread -lrt  
     Hardware...
       Host controllers:
    03:00.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46) (prog-if 10 [OHCI])
    	Subsystem: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044]
    	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
    	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-


allany utilisateur non connecté
Bon !
J'ai installé pour la première fois ffado il y a une petite semaine et j'avais les mêmes soucis...

Il te manque un tas de librairies et, donc, le plus simple (ce que j'ai fait avec succès) c'est de pointer dans la liste ci-dessus tous les messages du genre :
Perhaps you should add the directory containing `dbus-1.pc'
et, par Synaptic, de faire une recherche par nom de chacun de ces modules puis de les installer.

Au hasard, tu as libavc1394, libxml++-2, pyQt4, etc... qui semblent manquer à l'appel.
Comme tu risques d'en zapper, tu relances ffado-diag pour vérifier qu'il ne te manque plus rien.

A+

PS : comme tu parles d'Audacity, il me semble que, par défaut, les cartes firewire ne peuvent fonctionner sans Jack, sauf manip' particulière.
Ou alors, déclarer Jack comme interface audio dans les "préférences" d'Audacity.

Enfin, je crois qu'il faut déclarer "popettte" comme appartenant au groupe "video" pour pouvoir utiliser le port firewire.

Cher ami du soir, la tâche que vous me confiez est à ma portée (il me semble).
J'accepte la mission, et promet de ne pas me coucher à 4h du mat!

Merci à la personne qui a arrangé mon précédent post, mais comment on fait pour citer des résultats console?
Bon courage à ceux qui travaillent ce matin ;)

P.

allany utilisateur non connecté
Hello !

C'est moi qui ai arrangé ton post. Comme je suis modérateur, je peux tout me permettre, hien ! twisted
Bon, sans déc' lorsque tu as un gros pavé de log ou de code, tu le sélectionnes à la souris, tu cliques sur "code" (ci-dessus, icône "feuille et flèches bleues" puis tu fais précéder la première balise "code", dans ton texte, des deux caractères "*-".

Raconte-nous...

A+

Bonjour,
Ca avance tranquillement, mais certaines librairies ne sont pas sur Synaptic, comme jack.pc ou dbus-1.pc...

FFADO diagnostic utility 2.999.0-
    ============================
    (C) 2008 Pieter Palmers
        2009-2010 Arnold Krille


    === CHECK ===
     Base system...
      kernel version............ 3.2.0-37-generic-pae
      old 1394 stack present.... False
      old 1394 stack loaded..... False
      old 1394 stack active..... False
      new 1394 stack present.... True
      new 1394 stack loaded..... True
      new 1394 stack active..... True
      /dev/raw1394 node present. False
     Prerequisites (dynamic at run-time)...
       gcc ............... gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
       g++ ............... g++ (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
       PyQt4 (by pyuic4) . sh: 1: pyuic4: not found
       jackd ............. jackdmp 1.9.8
         path ............ /usr/bin/jackd
         flags ........... Package jack was not found in the pkg-config search path.
    Perhaps you should add the directory containing `jack.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'jack' found
       libraw1394 ........ 2.1.0
         flags ........... -I/usr/local/include  -L/usr/local/lib -lraw1394  
       libavc1394 ........ 0.5.3
         flags ........... -I/usr/local/include  -L/usr/local/lib -lavc1394 -lrom1394 -lraw1394  
       libiec61883 ....... 1.2.0
         flags ........... -I/usr/local/include  -L/usr/local/lib -liec61883 -lraw1394  
       libxml++-2.6 ...... 2.34.1
         flags ........... -I/usr/local/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/i386-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include  -L/usr/local/lib -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
       dbus-1 ............ Package dbus-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `dbus-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'dbus-1' found
         flags ........... Package dbus-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `dbus-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'dbus-1' found
     Prerequisites (static at compile-time)...
       gcc ............... gcc (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
       g++ ............... g++ (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
       PyQt4 (by pyuic4) . Python User Interface Compiler 4.9.1 for Qt version 4.8.0
       jackd ............. sh: 1: jackd: not found
         path ............ 
         flags ........... Package jack was not found in the pkg-config search path.
       libraw1394 ........ 2.0.7
         flags ...........  -lraw1394  
       libavc1394 ........ Package libavc1394 was not found in the pkg-config search path.
         flags ........... Package libavc1394 was not found in the pkg-config search path.
       libiec61883 ....... 1.2.0
         flags ...........  -liec61883 -lraw1394  
       libxml++-2.6 ...... 2.34.1
         flags ........... -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/i386-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
       dbus-1 ............ 1.4.16
         flags ........... -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include  -ldbus-1 -lpthread -lrt  
     Hardware...
       Host controllers:
    03:00.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46) (prog-if 10 [OHCI])
    	Subsystem: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044]
    	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
    	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-


allany utilisateur non connecté
Ouaip, je sais...
Problème, je ne me souviens plus comment j'ai contourné le truc.
J'ai dû, sans doute, chercher sur la toile à quel paquet Debian appartenaient chacun de ces modules.
Je regarde, jette un oeil aussi.
A+

Bonsoir à tous,

Je reviens par ici puisqu'à défaut d'avoir solutionné mon problème, je n'en ai pas moins des pistes:
En fait, je me souviens que ça a fonctionné au début, j'arrivais à enregistrer avec Audacity. Ensuite j'ai trifouillé et ça a buggué.
Donc je ne pense pas qu'il me manque un driver ou une librairie, mais c'est peut-être juste un problème de config. Qu'en pensez-vous?

Merci d'avance!

allany utilisateur non connecté
Juste concernant les jack.pc et dbus-1.pc, as-tu installé les ".dev" ayant trait à Jack et à dbus ?

Hello,
Je ne sais pas trop de quoi tu parles, mais quand tu demandes à Synaptic d'installer quelque chose, il t'en mets d'autres par défaut qui sont probablement nécessaire.
Ensuite, avec la commande ffado-diag je vois que jack-pc manque encore et ça semble être le seul.

Je commence à perdre espoir, ça fait 15 jours que j'ai cette carte son, et toujours pas moyen d'enregistrer le moindre truc, je suis vraiment à la bourre :-(

allany utilisateur non connecté
Ce qu'il t'installe par défaut, ce sont en effet les paquets nécessaires pour satisfaire aux dépendances. Tu n'as pas à t'en occuper.

Si seul jack.pc te manque, as-tu bien installé libjackd(x)-dev, comme je te le suggérais plus haut ?

A+

Je viens d'installer libjack-dev, c'est bien ça?
Alors le résultait est (presque) drôle: Ca m'a désinstallé Jack et Ardour, c'est fâcheux!

allany utilisateur non connecté
Oui, moyen drôle...
Mais est-ce bien le bon jackd(x)-dev ?
Le x pouvant se traduire en 1 ou 2, selon la version de jack installée.
Si c'est le bon, un coup de synaptic pour réinstaller Jack et Ardour devrait suffire.

A+


Alors j'ai installé jackd1-dev, puis à nouveau Qjackctl.

Quand je lance Qjackctl, ça me donne ça:

D-BUS : ResetParameterValue('driver:device') :

Invalid container address 'driver':'device':'(null)' supplied to method 'ResetParameterValue'..
(org.jackaudio.Error.InvalidArgs)

Et ça:
DBUS : impossible de démarrer le serveur JACK.

Désolé


Vous ne voyez pas ce que je pourrais paramétrer dans jack?

allany utilisateur non connecté
as-tu essayé :
ffado-test BusReset

et, si ça peut t'aider, ton voisin de forum (marinmarais) vient d'être dépatouillé d'un problème très similaire au tien...
A+

... et j'y pense, tu mets bien "firewire" dans la case "pilotes" ?

popettte@popettte-H61M-D2H-USB3:~$ ffado-test BusReset
-------------------
FFADO test and diagnostic utility
Part of the FFADO project — www.ffado.org(lien externe)
Version: 2.999.0-
(C) 2008, Daniel Wagner, Pieter Palmers
This program comes with ABSOLUTELY NO WARRANTY.
-------------------

Doing busreset on port 0



Oui oui, j'ai bien "firewire" dans "pilote"

allany utilisateur non connecté
Et alors ? Ca marche ou pas ?
Si c'est non, peux-tu re-poster un ffado-diag, StP ?

A+

Merci Jacques, voici!
popettte@popettte-H61M-D2H-USB3:~$ ffado-diag


FFADO diagnostic utility 2.999.0-
============================
(C) 2008 Pieter Palmers
    2009-2010 Arnold Krille


=== CHECK ===
 Base system...
  kernel version............ 3.2.0-37-generic-pae
  old 1394 stack present.... False
  old 1394 stack loaded..... False
  old 1394 stack active..... False
  new 1394 stack present.... True
  new 1394 stack loaded..... True
  new 1394 stack active..... True
  /dev/raw1394 node present. False
 Prerequisites (dynamic at run-time)...
   gcc ............... gcc (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
   g++ ............... g++ (Ubuntu/Linaro 4.6.3-1ubuntu5) 4.6.3
   PyQt4 (by pyuic4) . sh: 1: pyuic4: not found
   jackd ............. jackdmp 1.9.8
     path ............ /usr/bin/jackd
     flags ...........  -ljack  
   libraw1394 ........ 2.1.0
     flags ........... -I/usr/local/include  -L/usr/local/lib -lraw1394  
   libavc1394 ........ 0.5.3
     flags ........... -I/usr/local/include  -L/usr/local/lib -lavc1394 -lrom1394 -lraw1394  
   libiec61883 ....... 1.2.0
     flags ........... -I/usr/local/include  -L/usr/local/lib -liec61883 -lraw1394  
   libxml++-2.6 ...... 2.34.1
     flags ........... -I/usr/local/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/i386-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include  -L/usr/local/lib -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
   dbus-1 ............ 1.4.18
     flags ........... -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include  -ldbus-1 -lpthread -lrt  
 Prerequisites (static at compile-time)...
   gcc ............... gcc (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
   g++ ............... g++ (Ubuntu/Linaro 4.6.2-14ubuntu2) 4.6.2
   PyQt4 (by pyuic4) . Python User Interface Compiler 4.9.1 for Qt version 4.8.0
   jackd ............. sh: 1: jackd: not found
     path ............ 
     flags ........... Package jack was not found in the pkg-config search path.
   libraw1394 ........ 2.0.7
     flags ...........  -lraw1394  
   libavc1394 ........ Package libavc1394 was not found in the pkg-config search path.
     flags ........... Package libavc1394 was not found in the pkg-config search path.
   libiec61883 ....... 1.2.0
     flags ...........  -liec61883 -lraw1394  
   libxml++-2.6 ...... 2.34.1
     flags ........... -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib/i386-linux-gnu/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib/i386-linux-gnu/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
   dbus-1 ............ 1.4.16
     flags ........... -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include  -ldbus-1 -lpthread -lrt  
 Hardware...
   Host controllers:
03:00.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46) (prog-if 10 [OHCI])
	Subsystem: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-


Page : 1/2  [Suivant]
1  2 
Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

olinuxx, 09:44, lun. 16 mai 2022: Bonjour et bienvenue à Fan cool
olinuxx, 09:43, dim. 15 mai 2022: Bonjour et bienvenue à nik0 cool
olinuxx, 12:25, ven. 13 mai 2022: Bonjour et bienvenue à Michael83 et MiniGnome cool
olinuxx, 20:06, jeu. 12 mai 2022: Bonjour et bienvenue à Valnax cool
olinuxx, 17:35, lun. 09 mai 2022: [ANNONCE] La nouvelle version LibraZiK-4 est sortie ! [Lien]
olinuxx, 08:27, dim. 08 mai 2022: Une nouvelle concernant le futur des greffons LV2 : [Lien]
olinuxx, 10:58, sam. 07 mai 2022: Bonjour et bienvenue à Fabrice et à BertoX cool
olinuxx, 10:51, sam. 07 mai 2022: Une petite fringale ? Alors un bout de pain et de maroilles et hop ! Lecture de l'éditorial !
allany, 19:40, ven. 06 mai 2022: Universal r1 !!!
r1, 21:35, jeu. 05 mai 2022: Dans le Cantal, à Cancale ou à la Capitale, tous kiffent l'éditorial !
allany, 21:11, jeu. 05 mai 2022: C'est du métal, c'est phénoménal, idéal, l'éditorial ! [Lien]
BertoX, 00:25, jeu. 05 mai 2022: Bonjour / Bonsoir à tout le monde :-)